%define name	drm-kernel
%define version	1.100.0.10
%define release 6mdk
%define moddir	/lib/modules
#%define kvers	`rpm -q kernel-source | sed 's/kernel-source/linux/'`
%define kvers 2.4.22-10mdk

Name:	 	%{name}
Summary: 	Direct Rendering Manager
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://gatos.sourceforge.net
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  kernel-source
Requires:	ati.2
Requires:	kernel-2.4.22.10mdk

%description
The Direct Rendering Manager (drm) is a device-independent kernel-level
device driver that provides support for the XFree86 Direct Rendering
Infrastructure (DRI).

%prep
%setup -q -n %{name}

%build
make CFLAGS='$(RPM_OPT_FLAGS) $(WARNINGS)' SMP=0 TREE=/usr/src/linux-%kvers/include -f Makefile.linux
										
%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT/%{moddir}/%{kvers}/kernel/drivers/char/atidrm
install r128.o $RPM_BUILD_ROOT/%{moddir}/%{kvers}/kernel/drivers/char/atidrm
install radeon.o $RPM_BUILD_ROOT/%{moddir}/%{kvers}/kernel/drivers/char/atidrm
gzip -4 $RPM_BUILD_ROOT/%{moddir}/%{kvers}/kernel/drivers/char/atidrm/r128.o
gzip -4 $RPM_BUILD_ROOT/%{moddir}/%{kvers}/kernel/drivers/char/atidrm/radeon.o
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%pre
export KVER=%kvers
mkdir -p %{moddir}/%kvers/kernel/drivers/char/drm_old
mv %{moddir}/%kvers/kernel/drivers/char/drm/r128.o.gz %{moddir}/%kvers/kernel/drivers/char/drm_old
mv %{moddir}/%kvers/kernel/drivers/char/drm/radeon.o.gz %{moddir}/%kvers/kernel/drivers/char/drm_old

%post
mv %{moddir}/%kvers/kernel/drivers/char/atidrm/* %{moddir}/%kvers/kernel/drivers/char/drm
rm -rf %{moddir}/%kvers/kernel/drivers/char/atidrm

%postun
mv %{moddir}/%kvers/kernel/drivers/char/drm_old/* %{moddir}/%kvers/kernel/drivers/char/drm
rm -rf %{moddir}/%kvers/kernel/drivers/char/drm_old

%files  
%defattr(-,root,root)
%doc README.drm
%{moddir}/*/kernel/drivers/char/atidrm/r128.o.gz
%{moddir}/*/kernel/drivers/char/atidrm/radeon.o.gz

%changelog
* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-6mdk
- require main kernel
- disable SMP

* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-5mdk
- define kernel version for now
- new kernel

* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-4mdk
- fix kernel version

* Wed Sep 17 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-3mdk
- rebuild for kernel

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-2mdk
- rebuild

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 1.100.0.10-1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - new version

* Tue Apr 15 2003 Austin Acton <aacton@yorku.ca> 1.100.0.8-2mdk
- fix build flags
- from Spencer Anderson <sdander@oberon.ark.com>:
  - fix installation
  - requires ati.2

* Sat Apr 12 2003 Austin Acton <aacton@yorku.ca> 1.100.0.8-1mdk
- build for installed kernel source version, not installed kernel version
- from Spencer Anderson <sdander@oberon.ark.com>:
  - initial Mandrake package

